"""Add IP Trunk workflows.

Revision ID: 6dbd6c4c04b4
Revises: 815033570ad7
Create Date: 2023-11-21 12:55:29.689402

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '6dbd6c4c04b4'
down_revision = '0c31b60487c8'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_iptrunk",
        "target": "CREATE",
        "description": "Create IP trunk",
        "product_type": "Iptrunk"
    },
    {
        "name": "terminate_iptrunk",
        "target": "TERMINATE",
        "description": "Terminate IPtrunk",
        "product_type": "Iptrunk"
    },
    {
        "name": "migrate_iptrunk",
        "target": "MODIFY",
        "description": "Migrate an IP Trunk",
        "product_type": "Iptrunk"
    },
    {
        "name": "modify_isis_metric",
        "target": "MODIFY",
        "description": "Modify IP trunk",
        "product_type": "Iptrunk"
    },
    {
        "name": "modify_trunk_interface",
        "target": "MODIFY",
        "description": "Modify IP Trunk interface",
        "product_type": "Iptrunk"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
